var spDialog='MyImage/fck_image.html';

FCKCommands.RegisterCommand( 'MyImage', new FCKDialogCommand( 'MyImage', FCKLang.InsertImage,  FCKConfig.PluginsPath + spDialog, 450, 390 ) ) ;
FCKToolbarItems.RegisterItem( 'MyImage', new FCKToolbarButton( 'MyImage' , FCKLang.InsertImageLbl, FCKLang.InsertImage, null, false, true, 37 ) ) ;

FCK.ContextMenu.RegisterListener( {

			AddItems : function( menu, tag, tagName )
			{
				if ( tagName == 'IMG' && !tag.getAttribute( '_fckfakelement' ) )
				{
					menu.AddSeparator() ;
					menu.AddItem( 'MyImage', FCKLang.ImageProperties, 37 ) ;
				}
			} 
});


